using System;
using System.Windows.Threading;

internal sealed class Delegate21 : MulticastDelegate
{
	public extern Dispatcher Invoke();

	public static Dispatcher smethod_0(Delegate21 delegate21_1)
	{
		return delegate21_1();
	}

	public extern Delegate21(object object_0, IntPtr intptr_0);

	static Delegate21()
	{
		Class10.smethod_13(typeof(Delegate21).TypeHandle);
	}

	internal static Delegate21 delegate21_0;
}
